Bug 270179 - Various missing requires statement in module-info.java when adding Forms
Various missing requires statement in module-info.java when adding Forms
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
Dev
PC Linux
: P2 (vote)
: Dev
Assigned To: Svata Dedic
issues@java
:
Depends on: 270167
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-23 12:41 UTC by Martin Balin
Modified: 2017-04-02 02:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Balin 2017-03-23 12:41:56 UTC
Using NB daily from 20170323, running on JDK8, Multimodule project and JavaSE Project platform is JDK9 EA b158, source level JDK9.

Add Form into module under MM Project
module-info.java is updated with requires swing.layout
following modules should be also automatically added as they are required by Form templates:
1. java.desktop
2. java.logging
Comment 1 Svata Dedic 2017-03-23 12:53:19 UTC
Sample decorator implementation in issue #270167 actually solves this bug; waiting for API review.
Comment 2 Svata Dedic 2017-03-31 11:09:24 UTC
Fixed in jet-main#4afe19221888
Comment 3 Quality Engineering 2017-04-02 02:38:17 UTC
Integrated into 'main-silver', will be available in build *201704020002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e06dc7f650ee
User: Svata Dedic <sdedic@netbeans.org>
Log: #270179: required modules automatically declared when creating from template


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo